sock_flush(3z)

NAME
sock_flush - flush a network connection

SYNOPSIS
#include <net/socket.h>

void sock_flush(SOCKET *s);

DESCRIPTION
The parameter s is a descriptor to an open socket created using sock_open(3z) or sock_listen(3z). The socket should be of type prot_TCP.

The sock_flush() function will depending on the state of the connection either immediately send any pending data in the socket buffer or flag the data for sending in the next timer call.

RETURN VALUE
None

AUTHOR
Dominic Morris <dom@jb.man.ac.uk>